// sprite class prototypes and such

#ifndef SPRITE_H
#define SPRITE_H

#include "SDL.h"

class Sprite
{
  private:
		bool closeEnough;       //for the inRange function
	  double distanceX, distanceY, distance; //for getDistance formula


  public:
		SDL_Surface* loadIMG(const char*);   //hopefully will be a function to load an image
		double getDistance(int, int, int, int); // gets distance of sprites
		bool inRange(double, int);      //tests if the player is in range.
		void drawIMG(SDL_Surface*, SDL_Surface*, int, int); //draws image on screen.
		void drawPartIMG(SDL_Surface*, SDL_Surface*, int, int, int, int, int, int); //draws part of img
	
};

#endif

